import { Observable } from 'rxjs';
import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { ApiSettings } from '../api.settings';
import { LocalStorageService } from '../services/storage/local-storage.service';
import * as i0 from "@angular/core";
export declare class JwtAuthInterceptor implements HttpInterceptor {
    settings: ApiSettings;
    private localStorageService;
    private _jwtSuffix;
    constructor(settings: ApiSettings, localStorageService: LocalStorageService);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<JwtAuthInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<JwtAuthInterceptor>;
}
