import { BsModalRef, BsModalService } from 'ngx-bootstrap/modal';
import { OnInit } from '@angular/core';
import { DataGridColumnModel, EnumSortDirection } from '../models/data-grid-column.model';
import { ExcelService } from '../services/excel.service';
import * as i0 from "@angular/core";
export declare class DatagridExportingModalComponent implements OnInit {
    private modalRef;
    private modalService;
    private excelService;
    loadingImage: string;
    tableId: string;
    columns: Array<DataGridColumnModel>;
    data: Array<any>;
    initialColumnToSort: number;
    initialSortDirection: EnumSortDirection;
    exportedExcelSheetName: string;
    private exportedFileName;
    constructor(modalRef: BsModalRef, modalService: BsModalService, excelService: ExcelService);
    ngOnInit(): void;
    private export;
    private buildExportedJson;
    private renderPropertyValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatagridExportingModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatagridExportingModalComponent, "ui-datagrid-exporting-modal", never, {}, {}, never, never, false, never>;
}
