import { OnInit } from '@angular/core';
import { NgModel } from '@angular/forms';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { ElementBase } from '../../base/element-base';
import { InputFormsConfig } from '../../input-forms-config';
import * as i0 from "@angular/core";
export declare class InputEmailComponent extends ElementBase<string> implements OnInit {
    config: InputFormsConfig;
    private domSanitizer;
    placeholder: string;
    maxlength: number;
    showInputGroup?: boolean;
    inputGroupText?: string | SafeHtml;
    model: NgModel;
    identifier: string;
    constructor(validators: Array<any>, asyncValidators: Array<any>, config: InputFormsConfig, domSanitizer: DomSanitizer);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputEmailComponent, [{ optional: true; }, { optional: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputEmailComponent, "input-email", never, { "placeholder": "placeholder"; "maxlength": "maxlength"; "showInputGroup": "showInputGroup"; "inputGroupText": "inputGroupText"; }, {}, never, never, false, never>;
}
