import { DoCheck, OnInit } from '@angular/core';
import { NgModel } from '@angular/forms';
import { ElementBase } from '../../base/element-base';
import { InputFormsConfig } from '../../input-forms-config';
import * as i0 from "@angular/core";
export declare class InputSelectComponent extends ElementBase<any> implements OnInit, DoCheck {
    config: InputFormsConfig;
    displayTextProperty: string;
    valueProperty: string;
    defaultOption: string;
    options: Array<any>;
    model: NgModel;
    identifier: string;
    constructor(validators: Array<any>, asyncValidators: Array<any>, config: InputFormsConfig);
    ngOnInit(): void;
    ngDoCheck(): void;
    getOptionDisplayText(option: any): string;
    getOptionValue(option: any): string;
    private handleInitialValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputSelectComponent, [{ optional: true; }, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputSelectComponent, "input-select", never, { "displayTextProperty": "displayTextProperty"; "valueProperty": "valueProperty"; "defaultOption": "defaultOption"; "options": "options"; }, {}, never, ["*"], false, never>;
}
