import { OnInit } from '@angular/core';
import { NgModel } from '@angular/forms';
import { ElementBase } from '../../base/element-base';
import { AsyncValidatorArray, ValidatorArray } from '../../base/validate';
import { InputFormsConfig } from '../../input-forms-config';
import * as i0 from "@angular/core";
export declare class InputTextComponent extends ElementBase<string> implements OnInit {
    config: InputFormsConfig;
    placeholder: string;
    inputGroupPrepend: string;
    inputGroupAppend: string;
    maxlength: number;
    model: NgModel;
    identifier: string;
    constructor(validators: ValidatorArray, asyncValidators: AsyncValidatorArray, config: InputFormsConfig);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputTextComponent, [{ optional: true; }, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputTextComponent, "input-text", never, { "placeholder": "placeholder"; "inputGroupPrepend": "inputGroupPrepend"; "inputGroupAppend": "inputGroupAppend"; "maxlength": "maxlength"; }, {}, never, never, false, never>;
}
