import { EventEmitter, OnInit } from '@angular/core';
import { TreeViewConfig } from './config/tree-view-config';
import { TreeViewColumnModel } from './models/tree-view-column.model';
import * as i0 from "@angular/core";
export declare class TreeViewComponent implements OnInit {
    columns: Array<TreeViewColumnModel>;
    data: Array<any>;
    idProperty: string;
    labelProperty: string;
    collectionProperty: string;
    emptyResultsMessage?: string;
    showIcons?: boolean;
    enableLabelLinkStyle: boolean;
    normalItemIconClass?: string;
    collapsableClosedItemIconClass?: string;
    collapsableOpennedItemIconClass?: string;
    expandAllOnInit?: boolean;
    OnItemExpanded: EventEmitter<any>;
    OnItemClicked: EventEmitter<any>;
    constructor(defaultOptions: TreeViewConfig);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeViewComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeViewComponent, "ui-tree-view", never, { "columns": "columns"; "data": "data"; "idProperty": "idProperty"; "labelProperty": "labelProperty"; "collectionProperty": "collectionProperty"; "emptyResultsMessage": "emptyResultsMessage"; "showIcons": "showIcons"; "enableLabelLinkStyle": "enableLabelLinkStyle"; "normalItemIconClass": "normalItemIconClass"; "collapsableClosedItemIconClass": "collapsableClosedItemIconClass"; "collapsableOpennedItemIconClass": "collapsableOpennedItemIconClass"; "expandAllOnInit": "expandAllOnInit"; }, { "OnItemExpanded": "OnItemExpanded"; "OnItemClicked": "OnItemClicked"; }, never, never, false, never>;
}
