import * as i0 from "@angular/core";
import * as i1 from "./directives/auto-select-on-focus.directive";
import * as i2 from "./directives/debounce.directive";
import * as i3 from "./directives/click-outside.directive";
import * as i4 from "./directives/auto-focus.directive";
import * as i5 from "./directives/tutorial.directive";
import * as i6 from "./pipes/search-by.pipe";
import * as i7 from "./components/spinner/spinner.component";
import * as i8 from "./components/modal/modal.component";
import * as i9 from "./components/report/report.component";
import * as i10 from "@angular/common";
import * as i11 from "ngx-bootstrap/pagination";
import * as i12 from "ngx-bootstrap/dropdown";
import * as i13 from "ngx-bootstrap/modal";
import * as i14 from "ngx-bootstrap/datepicker";
import * as i15 from "ngx-bootstrap/progressbar";
import * as i16 from "ngx-bootstrap/tooltip";
import * as i17 from "ngx-bootstrap/popover";
import * as i18 from "ngx-bootstrap/tabs";
export { SearchByPipe } from './pipes/search-by.pipe';
export { ClickOutsideDirective } from './directives/click-outside.directive';
export { AutoFocusDirective } from './directives/auto-focus.directive';
export { SpinnerComponent } from './components/spinner/spinner.component';
export { ModalComponent } from './components/modal/modal.component';
export { ReportComponent } from './components/report/report.component';
export { TutorialDirective } from './directives/tutorial.directive';
export { TutorialService } from './services/tutorial.service';
export { TutorialAction } from './classes/tutorial-action';
export { AutoSelectOnFocusDirective } from './directives/auto-select-on-focus.directive';
export { DebounceDirective } from './directives/debounce.directive';
export * from './services/alert.service';
export declare class UiModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<UiModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<UiModule, [typeof i1.AutoSelectOnFocusDirective, typeof i2.DebounceDirective, typeof i3.ClickOutsideDirective, typeof i4.AutoFocusDirective, typeof i5.TutorialDirective, typeof i6.SearchByPipe, typeof i7.SpinnerComponent, typeof i8.ModalComponent, typeof i9.ReportComponent], [typeof i10.CommonModule, typeof i11.PaginationModule, typeof i12.BsDropdownModule, typeof i13.ModalModule, typeof i14.BsDatepickerModule, typeof i15.ProgressbarModule, typeof i16.TooltipModule, typeof i17.PopoverModule, typeof i18.TabsModule], [typeof i1.AutoSelectOnFocusDirective, typeof i2.DebounceDirective, typeof i3.ClickOutsideDirective, typeof i4.AutoFocusDirective, typeof i5.TutorialDirective, typeof i6.SearchByPipe, typeof i7.SpinnerComponent, typeof i8.ModalComponent, typeof i9.ReportComponent, typeof i11.PaginationModule, typeof i12.BsDropdownModule, typeof i13.ModalModule, typeof i14.BsDatepickerModule, typeof i15.ProgressbarModule, typeof i16.TooltipModule, typeof i17.PopoverModule, typeof i18.TabsModule]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<UiModule>;
}
