import { ModuleWithProviders } from '@angular/core';
import { ApiSettings } from './api.settings';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "@angular/common/http";
export { ApiSettings } from './api.settings';
export { BaseApiUrlInterceptor } from './interceptors/base-api-url.interceptor';
export { CommonHeadersInterceptor } from './interceptors/common-headers.interceptor';
export { JwtAuthInterceptor } from './interceptors/jwt-auth.interceptor';
export { ErrorHandlerInterceptor } from './interceptors/error-handler.interceptor';
export { ResponseDataInterceptor } from './interceptors/response-data.interceptor';
export { WinAuthInterceptor } from './interceptors/win-auth.interceptor';
export { LocalStorageService } from './services/storage/local-storage.service';
export declare class NgxUiHeroApiModule {
    static forRoot(settings: ApiSettings): ModuleWithProviders<NgxUiHeroApiModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxUiHeroApiModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgxUiHeroApiModule, never, [typeof i1.CommonModule, typeof i2.HttpClientModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgxUiHeroApiModule>;
}
