import { Observable } from 'rxjs';
import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from '@angular/common/http';
import { ApiSettings } from '../api.settings';
import * as i0 from "@angular/core";
export declare class BaseApiUrlInterceptor implements HttpInterceptor {
    settings: ApiSettings;
    private _baseApiUrl;
    private _apiAlias;
    constructor(settings: ApiSettings);
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    private concatUrl;
    private isNullOrEmpty;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseApiUrlInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BaseApiUrlInterceptor>;
}
