import { ModuleWithProviders } from '@angular/core';
import { ChartsConfig } from './config/charts-config';
import * as i0 from "@angular/core";
import * as i1 from "./components/gantt-chart/gantt-chart.component";
import * as i2 from "./directives/gantt-templates.directive";
import * as i3 from "@angular/common";
import * as i4 from "../ui/ui.module";
export { GanttItemModel, GanttSerieModel } from './components/gantt-chart/models/gantt-item.model';
export { ChartsConfig } from './config/charts-config';
export { GanttChartComponent } from './components/gantt-chart/gantt-chart.component';
export declare class NgxUiHeroChartsModule {
    static forRoot(config: ChartsConfig): ModuleWithProviders<NgxUiHeroChartsModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxUiHeroChartsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgxUiHeroChartsModule, [typeof i1.GanttChartComponent, typeof i2.GanttSeriesTooltipTemplateDirective], [typeof i3.CommonModule, typeof i4.UiModule], [typeof i1.GanttChartComponent, typeof i2.GanttSeriesTooltipTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgxUiHeroChartsModule>;
}
