import { ModuleWithProviders } from '@angular/core';
import { DataGridConfig } from './config/data-grid-config';
import * as i0 from "@angular/core";
import * as i1 from "./data-grid.component";
import * as i2 from "./directives/data-grid-templates.directive";
import * as i3 from "./datagrid-exporting-modal/datagrid-exporting-modal.component";
import * as i4 from "./components/column-filter/column-filter.component";
import * as i5 from "@angular/common";
import * as i6 from "@angular/forms";
import * as i7 from "../ui/ui.module";
export { DataGridConfig, DataGridStylesConfig, DataGridPagingConfig, DataGridExportingConfig, EnumDataGridMode, EnumAutoFitMode } from './config/data-grid-config';
export { DataGridComponent, GridDataModel, GridRowModel, GridColumnModel } from './data-grid.component';
export { DataGridColumnModel, DataGridSortingModel, EnumAlignment, EnumSortDirection } from './models/data-grid-column.model';
export { ColumnFilterModel } from './models/column-filter.model';
export { ColumnReorderingDefinitionsModel, ColumnReorderingDefinitionsItemModel } from './models/column-reordering-definitions.model';
export declare class NgxUiHeroDataGridModule {
    static forRoot(config: DataGridConfig): ModuleWithProviders<NgxUiHeroDataGridModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxUiHeroDataGridModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgxUiHeroDataGridModule, [typeof i1.DataGridComponent, typeof i2.ActionsColumnDirective, typeof i3.DatagridExportingModalComponent, typeof i4.ColumnFilterComponent], [typeof i5.CommonModule, typeof i6.FormsModule, typeof i7.UiModule], [typeof i1.DataGridComponent, typeof i2.ActionsColumnDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgxUiHeroDataGridModule>;
}
