import { OnInit } from '@angular/core';
import { NgModel } from '@angular/forms';
import { ElementBase } from '../../base/element-base';
import { AsyncValidatorArray, ValidatorArray } from '../../base/validate';
import { InputFormsConfig } from '../../input-forms-config';
import * as i0 from "@angular/core";
export declare class InputTextMaskComponent extends ElementBase<string> implements OnInit {
    config: InputFormsConfig;
    placeholder: string;
    masking: string;
    includeLiterals: boolean;
    wasTouched: boolean;
    model: NgModel;
    identifier: string;
    constructor(validators: ValidatorArray, asyncValidators: AsyncValidatorArray, config: InputFormsConfig);
    ngOnInit(): void;
    onTouch(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputTextMaskComponent, [{ optional: true; }, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputTextMaskComponent, "input-text-mask", never, { "placeholder": "placeholder"; "masking": "masking"; "includeLiterals": "includeLiterals"; }, {}, never, never, false, never>;
}
