export declare class TreeViewColumnModel {
    caption: string;
    width: string;
    captionAlignment?: EnumAlignment;
    captionClasses?: string;
    data?: string;
    dataAlignment?: EnumAlignment;
    dataClasses?: string;
    editable?: boolean;
    dataType?: EnumTreeViewColumnDataType;
    render?(row: any, currentData: any, rowIndex: number): string;
    onClick?(row: any, currentData: any, rowIndex: number): void;
}
export declare enum EnumAlignment {
    Left = 0,
    Center = 1,
    Right = 2
}
export declare enum EnumTreeViewColumnDataType {
    Text = 0,
    Date = 1,
    Number = 2,
    Currency = 3,
    Percent = 4
}
