import { EventEmitter, OnInit } from '@angular/core';
import { TreeViewColumnModel } from '../models/tree-view-column.model';
import { TreeViewService } from '../tree-view.service';
import * as i0 from "@angular/core";
export declare class TreeViewItemComponent implements OnInit {
    private service;
    row: any;
    idProperty: string;
    labelProperty: string;
    collectionProperty: string;
    columns: Array<TreeViewColumnModel>;
    showIcons: boolean;
    enableLabelLinkStyle: boolean;
    normalItemIconClass: string;
    collapsableClosedItemIconClass: string;
    collapsableOpennedItemIconClass: string;
    first: boolean;
    last: boolean;
    openned: boolean;
    expandedOnInit: boolean;
    rootItem: boolean;
    OnItemExpanded: EventEmitter<any>;
    OnItemClicked: EventEmitter<any>;
    active: boolean;
    summarizedStyle: boolean;
    equalHeightStyle: boolean;
    constructor(service: TreeViewService);
    ngOnInit(): void;
    Toogle(): void;
    OnClick(): void;
    HandleSubItemExpanded(data: any): void;
    HandleSubItemClicked(data: any): void;
    HandleColumnClick(column: TreeViewColumnModel, row: any, currentData: any, rowIndex: number): void;
    private emitItemExpandedEvent;
    private emitItemClickedEvent;
    private handleSelecionChanges;
    static ɵfac: i0.ɵɵFactoryDeclaration<TreeViewItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TreeViewItemComponent, "[ui-tree-view-item]", never, { "row": "row"; "idProperty": "idProperty"; "labelProperty": "labelProperty"; "collectionProperty": "collectionProperty"; "columns": "columns"; "showIcons": "showIcons"; "enableLabelLinkStyle": "enableLabelLinkStyle"; "normalItemIconClass": "normalItemIconClass"; "collapsableClosedItemIconClass": "collapsableClosedItemIconClass"; "collapsableOpennedItemIconClass": "collapsableOpennedItemIconClass"; "first": "first"; "last": "last"; "openned": "openned"; "expandedOnInit": "expandedOnInit"; "rootItem": "rootItem"; }, { "OnItemExpanded": "OnItemExpanded"; "OnItemClicked": "OnItemClicked"; }, never, never, false, never>;
}
