import { ModuleWithProviders } from '@angular/core';
import { TreeViewConfig } from './config/tree-view-config';
import * as i0 from "@angular/core";
import * as i1 from "./tree-view.component";
import * as i2 from "./tree-view-item/tree-view-item.component";
import * as i3 from "@angular/common";
import * as i4 from "@angular/forms";
import * as i5 from "../input-forms/input-forms.module";
export { TreeViewService } from './tree-view.service';
export { TreeViewComponent } from './tree-view.component';
export { TreeViewConfig, TreeViewStylesConfig } from './config/tree-view-config';
export { TreeViewColumnModel, EnumTreeViewColumnDataType } from './models/tree-view-column.model';
export declare class NgxUiHeroTreeViewModule {
    static forRoot(config: TreeViewConfig): ModuleWithProviders<NgxUiHeroTreeViewModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxUiHeroTreeViewModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgxUiHeroTreeViewModule, [typeof i1.TreeViewComponent, typeof i2.TreeViewItemComponent], [typeof i3.CommonModule, typeof i4.FormsModule, typeof i5.NgxUiHeroInputFormsModule], [typeof i1.TreeViewComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgxUiHeroTreeViewModule>;
}
